# JavaToolchainRepositoryHandler

@Incubating
interface JavaToolchainRepositoryHandler

org.gradle.api.NamedDomainObjectList based handler for configuring an ordered collection of `JavaToolchainRepository` implementations.

#### Since

7.6

## Functions

getAsList
Link copied to clipboard
abstract fun getAsList(): List<JavaToolchainRepository>
Returns a list of repositories that have been added so far.
remove
Link copied to clipboard
abstract fun remove(name: String): Boolean
Removes the repository with the given name.
repository
Link copied to clipboard
abstract fun repository(name: String, configureAction: Action<in JavaToolchainRepository>)
Utility method for creating a named JavaToolchainRepository based on a configuration block.
size
Link copied to clipboard
abstract fun size(): Int
Returns the count of the repositories added so far.